;----------------------------------------
;|                                      |
;|     Composite Video Text Display     |
;|                                      |
;|        by Daryl Rictor (2014)        |
;|                                      |
;|--------------------------------------|
;|                                      |
;|                                      |
;|   Powered by an ATmega88 Controller  |
;|                                      |
;|        40 columns by 25 lines        |
;|                                      |
;|        NTSC and PAL standards        |
;|                                      |
;|      Black & White Video Output      |
;|                                      |
;|       Two 256-character fonts        |
;|                                      |
;|                                      |
;|                                      |
;|                                      |
;|                                      |
;----------------------------------------

.CSEG
.ORG 0x600
banner1:
 .db $C9, $CD, $CD, $CD, $CD, $CD, $CD, $CD, $CD, $CD, $CD, $CD, $CD, $CD, $CD, $CD, $CD, $CD, $CD, $CD, $CD, $CD, $CD, $CD, $CD, $CD, $CD, $CD, $CD, $CD, $CD, $CD, $CD, $CD, $CD, $CD, $CD, $CD, $CD, $BB
 .db $BA, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $BA
 .db $BA, $20, $20, $20, $20, $20, $43, $6F, $6D, $70, $6F, $73, $69, $74, $65, $20, $56, $69, $64, $65, $6F, $20, $54, $65, $78, $74, $20, $44, $69, $73, $70, $6C, $61, $79, $20, $20, $20, $20, $20, $BA
 .db $BA, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $BA
 .db $BA, $20, $20, $20, $20, $20, $20, $20, $62, $79, $20, $44, $61, $72, $79, $6C, $20, $52, $69, $63, $74, $6F, $72, $20, $20, $28, $63, $29, $32, $30, $31, $34, $20, $20, $20, $20, $20, $20, $20, $BA 
 .db $BA, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $BA
 .db $C7, $C4, $C4, $C4, $C4, $C4, $C4, $C4, $C4, $C4, $C4, $C4, $C4, $C4, $C4, $C4, $C4, $C4, $C4, $C4, $C4, $C4, $C4, $C4, $C4, $C4, $C4, $C4, $C4, $C4, $C4, $C4, $C4, $C4, $C4, $C4, $C4, $C4, $C4, $B6
 .db $BA, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $BA
 .db $BA, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $BA
 .db $BA, $20, $20, $20, $50, $6F, $77, $65, $72, $65, $64, $20, $62, $79, $20, $61, $6E, $20, $41, $54, $6D, $65, $67, $61, $38, $38, $20, $43, $6F, $6E, $74, $72, $6F, $6C, $6C, $65, $72, $20, $20, $BA
 .db $BA, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $BA
 .db $BA, $20, $20, $20, $20, $20, $20, $20, $20, $34, $30, $20, $63, $6F, $6C, $75, $6D, $6E, $73, $20, $62, $79, $20, $32, $35, $20, $6C, $69, $6E, $65, $73, $20, $20, $20, $20, $20, $20, $20, $20, $BA
 .db $BA, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $BA
 .db $BA, $20, $20, $20, $20, $20, $20, $20, $20, $4E, $54, $53, $43, $20, $61, $6E, $64, $20, $50, $41, $4C, $20, $73, $74, $61, $6E, $64, $61, $72, $64, $73, $20, $20, $20, $20, $20, $20, $20, $20, $BA
 .db $BA, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $BA
 .db $BA, $20, $20, $20, $20, $20, $20, $42, $6C, $61, $63, $6B, $20, $26, $20, $57, $68, $69, $74, $65, $20, $56, $69, $64, $65, $6F, $20, $4F, $75, $74, $70, $75, $74, $20, $20, $20, $20, $20, $20, $BA
 .db $BA, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $BA
 .db $BA, $20, $20, $20, $20, $20, $20, $20, $20, $54, $77, $6F, $20, $32, $35, $36, $2D, $63, $68, $61, $72, $61, $63, $74, $65, $72, $20, $66, $6F, $6E, $74, $73, $20, $20, $20, $20, $20, $20, $20, $BA
 .db $BA, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $BA
 .db $BA, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $BA
 .db $BA, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $BA
 .db $C8, $CD, $CD, $CD, $CD, $CD, $CD, $CD, $CD, $CD, $CD, $CD, $CD, $CD, $CD, $CD, $CD, $CD, $CD, $CD, $CD, $CD, $CD, $CD, $CD, $CD, $CD, $CD, $CD, $CD, $CD, $CD, $CD, $CD, $CD, $CD, $CD, $CD, $CD, $BC
 .db $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20
 .db $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20
 .db $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20, $20
 
